package com.pj.biz;

import java.util.List;

import com.pj.project.re_mini_user_person_filing.ReMiniUserPersonFiling;
import com.pj.project.re_mini_user_person_filing.ReMiniUserPersonFilingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.utils.so.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
* Controller: re_mini_user_person_filing -- 微信端用户与人员备案中间表
* @author qzyReal
*/
@RestController
@RequestMapping("/ReMiniUserPersonFiling/")
public class ReMiniUserPersonFilingController {

/** 底层 Service 对象 */
@Autowired
ReMiniUserPersonFilingService reMiniUserPersonFilingService;

/** 增 */
@RequestMapping("add")
	@SaCheckPermission(ReMiniUserPersonFiling.PERMISSION_CODE)
@Transactional(rollbackFor = Exception.class)
public AjaxJson add(ReMiniUserPersonFiling r){
reMiniUserPersonFilingService.add(r);
return AjaxJson.getSuccessData(r);
}

/** 删 */
@RequestMapping("delete")
	@SaCheckPermission(ReMiniUserPersonFiling.PERMISSION_CODE)
public AjaxJson delete(Long id){
reMiniUserPersonFilingService.delete(id);
return AjaxJson.getSuccess();
}

/** 删 - 根据id列表 */
@RequestMapping("deleteByIds")
	@SaCheckPermission(ReMiniUserPersonFiling.PERMISSION_CODE)
public AjaxJson deleteByIds(){
List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class);
	int line = SP.publicMapper.deleteByIds(ReMiniUserPersonFiling.TABLE_NAME, ids);
	return AjaxJson.getByLine(line);
	}

	/** 改 */
	@RequestMapping("update")
		@SaCheckPermission(ReMiniUserPersonFiling.PERMISSION_CODE)
	public AjaxJson update(ReMiniUserPersonFiling r){
		reMiniUserPersonFilingService.update(r);
	return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */
	@RequestMapping("getById")
	public AjaxJson getById(Long id){
	ReMiniUserPersonFiling r = reMiniUserPersonFilingService.getById(id);
	return AjaxJson.getSuccessData(r);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	@RequestMapping("getList")
	public AjaxJson getList() {
	SoMap so = SoMap.getRequestSoMap();
		List<ReMiniUserPersonFiling> list = reMiniUserPersonFilingService.getList(so.startPage());
	return AjaxJson.getPageData(so.getDataCount(), list);
	}










			}
