package com.pj.project.tb_mini_user;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.Getter;
import lombok.experimental.Accessors;

/**
 * Model: tb_mini_user -- h5端用户
 *
 * @author qzyReal
 */
@Data
@Accessors(chain = true)
@TableName(TbMiniUser.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbMiniUser extends Model<TbMiniUser> implements Serializable {

    // ---------- 模块常量 ----------
    /**
     * 序列化版本id
     */
    private static final long serialVersionUID = 1L;
    /**
     * 此模块对应的表名
     */
    public static final String TABLE_NAME = "tb_mini_user";
    /**
     * 此模块对应的权限码
     */
    public static final String PERMISSION_CODE = "tb-mini-user";


    // ---------- 表中字段 ----------
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    private Long spAdminId;
    /**
     * openid
     */
    private String openid;

    /**
     * 类型(1=临时,2=内部)
     */
    private Integer type;

    /**
     * 联系号码
     */
    private String phone;

    /**
     * 姓名
     */
    private String name;

    /**
     * 身份证
     */
    private String idCard;

    /**
     * 边民号
     */
    private String icCard;

    /**
     * 身份证图片
     */
    private String idCardImg;

    /**
     * 便民证图片
     */
    private String icCardImg;

    /**
     * 所属组织
     */
    private String deptId;

    /**
     * 创建时间
     */
    private Date createTime;

    @TableField(exist = false)
    private String token;


    @Getter
    @AllArgsConstructor
    public static enum TypeEnum {
        TEMPORARY_TYPE(1, "临时"),
        INTERIOR_TYPE(2, "内部");
        private Integer type;
        private String desc;
    }


}
